• Help me! I can't install or update any package


    When installing any package…

    0_1458960115309_Screenshot from 2016-03-26 08-43-48.png

    Plz help me solve this

  • @sambidao88

    Run sudo pacman -Syy.

    If the issue still occurs post your /etc/pacman.conf in code tags.

    I7 [email protected]/32GB Ram/3440 x 1440 + 1440p/EVGA 1080 FTW/512GB SSD/2TB HD/Antergos Base w/ Plasma

  • @sambidao88 Spotify is available from AUR. Arch Linux repos do not provide it.

    pacman works with Arch repos only. It doesn’t see and can’t install anything from AUR. Like yaourt does.

    Your repos look quite unusual. It is better to avoid mixing them, as some package(s) may exist in differenr repos, causing conflicts during upgrades. Yaourt is an example. It is present in both archlinuxfr and Antergos repos. A look at your /etc/pacman.conf, as @Wyn suggests, could be of some help.

    Moreover, some repos might require an installation of different keyrings. Keyrings, not upgraded in time, may also cause a problem. Antergos requires the installation of two keyrings (packages):

    $ sudo pacman -Syyu archlinux-keyring antergos-keyring
    :: Synchronizing package databases...
     core                121.5 KiB  1413K/s 00:00 [-------] 100%
     extra              1744.0 KiB  2.49M/s 00:01 [-------] 100%
     community             3.4 MiB  2.81M/s 00:01 [-------] 100%
     multilib            162.0 KiB  2.51M/s 00:00 [-------] 100%
     antergos            253.6 KiB  3.22M/s 00:00 [-------] 100%
    warning: archlinux-keyring-20160215-1 is up to date -- reinstalling
    warning: antergos-keyring-20150806-1 is up to date -- reinstalling
    :: Starting full system upgrade...
    warning: bumblebee: local (3.2.1-11) is newer than community (3.2.1-10)
    warning: systemd: ignoring package upgrade (228-4 => 229-3)
    resolving dependencies...
    looking for conflicting packages...
    
    Package (2)                Old Version  New Version  Net Change  Download Size
    
    antergos/antergos-keyring  20150806-1  20150806-1  0.00 MiB  0.01 MiB
    core/archlinux-keyring     20160215-1  20160215-1  0.00 MiB  0.56 MiB
    
    Total Download Size:   0.57 MiB
    Total Installed Size:  0.81 MiB
    Net Upgrade Size:      0.00 MiB
    
    :: Proceed with installation? [Y/n] No, thanks
    $
    

    Spotify may be installed from AUR with yaourt:

    $ sudo yaourt -Syua aur/spotify
    :: Synchronizing package databases...
     core is up to date
     extra                  1744.0 KiB  2.33M/s 00:01 [-------] 100%
     community                 3.4 MiB  3.38M/s 00:01 [-------] 100%
     multilib is up to date
     antergos                253.6 KiB  3.26M/s 00:00 [-------] 100%
     Foreign packages: / 5 / 4
    
    ==> New package :
    aur/spotify 1.0.25.127-1 (required by -)
    
    ==> Continue upgrade ? [Y/n]
    ==> [V]iew package detail   [M]anually select packages
    ==> --------------------------------------------------
    ==> No, thanks
    $
    
    

    More configuration details would allow to answer better.

    Regards

  • Thank you for all your help. So i run terminal as @just in result i have:

    0_1459062303660_Screenshot from 2016-03-27 14-00-32.png

    I think my system is up to date but i have a conflict between some packages or trouble keyrings. This is my pacman.conf

    0_1459062452318_Screenshot from 2016-03-27 14-00-00.png

    Plz give me your advise and thank a lot again. Sry my poor English ^^

  • @sambidao88 It would be better to see the whole /etc/pacman.conf in its native text form. All its parts are important.

    Anyhow, on the 2nd screenshot the [multilib] repo is defined twice. It is not good. It is bad. Remove one of the two occurences (I’d suggest the 1st one) and run again

    $ sudo pacman -Syyu
    

    Pastebin.com is free and relatively easy to use site to share simple text files.

  • @just Thank you very much, i will try it :+1:

    Best regard

Posts 6Views 1887
Log in to reply